Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.TableCellData Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (cell_text_style, cell_fill_color, cell_text, cell_image, cell_margin)
| Constructor, with parameters. More...
| Set (cell_text_style, cell_fill_color, cell_text, cell_image, cell_margin)
| Set value. More...

## Public Attributes
| cell_fill_color
| The fill color of cell. Format: 0xAARRGGBB.
| cell_image
| The image content of cell. More...
| cell_margin
| The cell margin between the content and cell border. More...
| cell_text
| The text content of cell. More...
| cell_text_style
| The style of cell text.

## Detailed Description

This class represents table cell data.

## Member Function Documentation

## ◆ constructor()

FSDK.TableCellData.constructor | ( | cell_text_style | ,
|  | cell_fill_color | ,
|  | cell_text | ,
|  | cell_image | ,
|  | cell_margin |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | cell_text_style | The style of cell text.
  [in] | cell_fill_color | The fill color of cell.
  [in] | cell_text | The text content of cell.
  [in] | cell_image | The image content of cell.
  [in] | cell_margin | The cell margin.

## ◆ Set()

FSDK.TableCellData.Set | ( | cell_text_style | ,
|  | cell_fill_color | ,
|  | cell_text | ,
|  | cell_image | ,
|  | cell_margin |
| ) |  |

Set value.

Parameters

  [in] | cell_text_style | The style of cell text.
  [in] | cell_fill_color | The fill color of cell. Format: 0xAARRGGBB.
  [in] | cell_text | The text content of cell.
  [in] | cell_image | The image content of cell.
  [in] | cell_margin | The cell margin.

Returns
  None.

## Member Data Documentation

## ◆ cell_image

FSDK.TableCellData.cell_image

The image content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.

## ◆ cell_margin

FSDK.TableCellData.cell_margin

The cell margin between the content and cell border.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a table cell. The value should not be negative.

## ◆ cell_text

FSDK.TableCellData.cell_text

The text content of cell.

Note
  Currently, it is not supported for text and image to exist in the same cell. For merged cells, their contents is text or image which is set in the first merged cell.